%define oname   runcommand
Name:           plasma-applet-runcommand
Summary:        Simple plasmoid to run commands without using terminal or KRunner
Version:        2.1
Release:        %mkrel 6
Url:            http://kde-look.org/content/show.php/Run+Command?content=91495
License:        GPL
Group:          Graphical desktop/KDE4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        91495-%{oname}-%{version}.tar.xz
BuildRequires:  rpmlib(CompressedFileNames) <= 3.0.4-1
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%description
Simple plasmoid to run commands without using terminal or KRunner. Inspired by KRunner and KDE3 equivalent.
Developed and tested on KDE 4.1.2

Warning!
There are some problems if you try using it on panel:
- problems with completion box and disappearing context menu (Qt GraphicsView bugs, http://bugs.kde.org/show_bug.cgi?id=179541);
- activation shortcut not always works and line edit often looses focus (Plasma limitations).

Hint:
When on panel applet has blank space (5 pixels width) at right end to help reaching context menu (remove and configure actions).

Features:
- possibility to open web addresses (including searching, example: gg:query), invoke mailer, open directories and files (including use of KIO);
- possibility to run command in terminal (by prepending it by dollar sign - $);
- simple calculator (example: =2+2);
- simple numbers converter (to binary, octal and hexadecimal systems; examples: bin=12, oct=10, hex=8);
- commands to manage session (logout, lock, switch, shutdown, reboot);
- auto run of command after selecting;
- commands history shared with KRunner;
- activation shortcut


%prep
%setup -q -n %{oname}-%{version}


%build
%cmake_kde4
%make

%install
rm -fr %buildroot
cd build
%{makeinstall_std}
cd -


%files
%defattr(-,root,root)

%{_libdir}/kde4/plasma_applet_runcommand.so
%{_kde_datadir}/kde4/services/plasma-applet-runcommand.desktop
%{_kde_datadir}/locale/*/LC_MESSAGES/plasma_applet_runcommand.mo

%clean
rm -rf "%{buildroot}"


%changelog
* Sun Nov 10 2013 bb <bb>
- update for new kde

